<?php
require_once(getabspath("classes/cipherer.php"));



$tdataDashboard = array();
$tdataDashboard[".ShortName"] = "Dashboard";

$tdataDashboard[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdataDashboard[".originalPagesByType"] = $tdataDashboard[".pagesByType"];
$tdataDashboard[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdataDashboard[".originalPages"] = $tdataDashboard[".pages"];
$tdataDashboard[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdataDashboard[".originalDefaultPages"] = $tdataDashboard[".defaultPages"];


//	field labels
$fieldLabelsDashboard = array();
$pageTitlesDashboard = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsDashboard["English"] = array();
	$fieldLabelsDashboard["English"]["Birthday_Reminder_id"] = "Id";
	$fieldLabelsDashboard["English"]["Birthday_Reminder_emp_no"] = "Emp No";
	$fieldLabelsDashboard["English"]["Birthday_Reminder_last_name"] = "Last Name";
	$fieldLabelsDashboard["English"]["Birthday_Reminder_first_name"] = "First Name";
	$fieldLabelsDashboard["English"]["Birthday_Reminder_birthday"] = "Birthday";
	$fieldLabelsDashboard["English"]["Birthday_Reminder_center"] = "Center";
	$fieldLabelsDashboard["English"]["Birthday_Reminder_department"] = "Department";
	$fieldLabelsDashboard["English"]["Birthday_Reminder_position"] = "Position";
	$fieldLabelsDashboard["English"]["upcomming_holiday_id"] = "Id";
	$fieldLabelsDashboard["English"]["upcomming_holiday_holiday"] = "Holiday";
	$fieldLabelsDashboard["English"]["upcomming_holiday_date"] = "Date";
	$fieldLabelsDashboard["English"]["upcomming_holiday_type"] = "Type";
	$fieldLabelsDashboard["English"]["Missing_log_id"] = "Id";
	$fieldLabelsDashboard["English"]["Missing_log_daily_dates"] = "Date";
	$fieldLabelsDashboard["English"]["Missing_log_emp_no"] = "Employee";
	$fieldLabelsDashboard["English"]["Missing_log_day_name"] = "Day Name";
	$fieldLabelsDashboard["English"]["Missing_log_schedule_code"] = "Schedule Code";
	$fieldLabelsDashboard["English"]["Missing_log_work_status"] = "Work Status";
	$fieldLabelsDashboard["English"]["Missing_log_sked_time_in"] = "Sked Time In";
	$fieldLabelsDashboard["English"]["Missing_log_sked_time_out"] = "Sked Time Out";
	$fieldLabelsDashboard["English"]["Missing_log_attendance_time_in"] = "Attendance Time In";
	$fieldLabelsDashboard["English"]["Missing_log_attendance_time_out"] = "Attendance Time Out";
	$fieldLabelsDashboard["English"]["attendance_logs_id"] = "Id";
	$fieldLabelsDashboard["English"]["attendance_logs_daily_dates"] = "Date";
	$fieldLabelsDashboard["English"]["attendance_logs_emp_no"] = "Employee";
	$fieldLabelsDashboard["English"]["attendance_logs_day_name"] = "Day Name";
	$fieldLabelsDashboard["English"]["attendance_logs_schedule_code"] = "Schedule Code";
	$fieldLabelsDashboard["English"]["attendance_logs_work_status"] = "Work Status";
	$fieldLabelsDashboard["English"]["attendance_logs_Absent"] = "Absent";
	$fieldLabelsDashboard["English"]["attendance_logs_late"] = "Late";
	$fieldLabelsDashboard["English"]["attendance_logs_undertime"] = "Undertime";
	$fieldLabelsDashboard["English"]["attendance_logs_Approved_OT"] = "Approved OT";
	$fieldLabelsDashboard["English"]["attendance_logs_OT_rate"] = "OT Rate";
	$fieldLabelsDashboard["English"]["attendance_logs_OT_Type"] = "OT Type";
	$fieldLabelsDashboard["English"]["attendance_logs_night_diff"] = "Night Diff";
	$fieldLabelsDashboard["English"]["attendance_logs_leave_type"] = "Leave Type";
	$fieldLabelsDashboard["English"]["attendance_logs_holiday"] = "Holiday";
	$fieldLabelsDashboard["English"]["attendance_logs_approved_sked_time_in"] = "Schedule Time In";
	$fieldLabelsDashboard["English"]["attendance_logs_approved_sked_time_out"] = "Schedule Time Out";
	$fieldLabelsDashboard["English"]["attendance_logs_payroll_terms"] = "Payroll Terms";
	$fieldLabelsDashboard["English"]["attendance_logs_attendance_break_1_out"] = "Break 1 Out";
	$fieldLabelsDashboard["English"]["attendance_logs_attendance_break_1_in"] = "Break 1 In";
	$fieldLabelsDashboard["English"]["attendance_logs_attendance_break_2_out"] = "Break 2 Out";
	$fieldLabelsDashboard["English"]["attendance_logs_attendance_break_2_in"] = "Break 2 In";
	$fieldLabelsDashboard["English"]["attendance_logs_attendance_break_3_out"] = "Break 3 Out";
	$fieldLabelsDashboard["English"]["attendance_logs_attendance_break_3_in"] = "Break 3 In";
	$fieldLabelsDashboard["English"]["For_Approval_Dashboard_No"] = "No";
	$fieldLabelsDashboard["English"]["For_Approval_Dashboard_Transaction"] = "Transaction";
	$fieldLabelsDashboard["English"]["For_Approval_Dashboard_status"] = "Status";
	$fieldLabelsDashboard["English"]["For_Approval_Dashboard_View"] = "View";
	$fieldLabelsDashboard["English"]["For_Approval_Dashboard_approved_by"] = "Approved By";
	$fieldLabelsDashboard["English"]["Expiring_Employee_Recurring_Benefits_Report_id"] = "Id";
	$fieldLabelsDashboard["English"]["Expiring_Employee_Recurring_Benefits_Report_txnid"] = "Employee";
	$fieldLabelsDashboard["English"]["Expiring_Employee_Recurring_Benefits_Report_payroll_item"] = "Payroll Item";
	$fieldLabelsDashboard["English"]["Expiring_Employee_Recurring_Benefits_Report_amount"] = "Amount";
	$fieldLabelsDashboard["English"]["Expiring_Employee_Recurring_Benefits_Report_start_date"] = "Start Date";
	$fieldLabelsDashboard["English"]["Expiring_Employee_Recurring_Benefits_Report_end_date"] = "End Date";
	$fieldLabelsDashboard["English"]["Expiring_Employee_Recurring_Benefits_Report_period"] = "Period";
	$fieldLabelsDashboard["English"]["Expiring_Employee_Recurring_Benefits_Report_difference"] = "Days Left Active";
	$fieldLabelsDashboard["English"]["Expiring_Employee_Recurring_Benefits_Report_Edit"] = "Edit";
	$fieldLabelsDashboard["English"]["attendance_logs_attendance_time_in"] = "Attendance Time In";
	$fieldLabelsDashboard["English"]["attendance_logs_attendance_time_out"] = "Attendance Time Out";
}

//	search fields
$tdataDashboard[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"Birthday_Reminder", "field"=>"id" );
$tdataDashboard[".searchFields"]["Birthday_Reminder_id"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Birthday_Reminder", "field"=>"emp_no" );
$tdataDashboard[".searchFields"]["Birthday_Reminder_emp_no"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Birthday_Reminder", "field"=>"last_name" );
$tdataDashboard[".searchFields"]["Birthday_Reminder_last_name"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Birthday_Reminder", "field"=>"first_name" );
$tdataDashboard[".searchFields"]["Birthday_Reminder_first_name"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Birthday_Reminder", "field"=>"birthday" );
$tdataDashboard[".searchFields"]["Birthday_Reminder_birthday"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Birthday_Reminder", "field"=>"center" );
$tdataDashboard[".searchFields"]["Birthday_Reminder_center"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Birthday_Reminder", "field"=>"department" );
$tdataDashboard[".searchFields"]["Birthday_Reminder_department"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Birthday_Reminder", "field"=>"position" );
$tdataDashboard[".searchFields"]["Birthday_Reminder_position"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"upcomming_holiday", "field"=>"id" );
$tdataDashboard[".searchFields"]["upcomming_holiday_id"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"upcomming_holiday", "field"=>"holiday" );
$tdataDashboard[".searchFields"]["upcomming_holiday_holiday"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"upcomming_holiday", "field"=>"date" );
$tdataDashboard[".searchFields"]["upcomming_holiday_date"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"upcomming_holiday", "field"=>"type" );
$tdataDashboard[".searchFields"]["upcomming_holiday_type"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Missing_log", "field"=>"id" );
$tdataDashboard[".searchFields"]["Missing_log_id"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Missing_log", "field"=>"daily_dates" );
$tdataDashboard[".searchFields"]["Missing_log_daily_dates"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Missing_log", "field"=>"emp_no" );
$tdataDashboard[".searchFields"]["Missing_log_emp_no"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Missing_log", "field"=>"day_name" );
$tdataDashboard[".searchFields"]["Missing_log_day_name"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Missing_log", "field"=>"schedule_code" );
$tdataDashboard[".searchFields"]["Missing_log_schedule_code"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Missing_log", "field"=>"work_status" );
$tdataDashboard[".searchFields"]["Missing_log_work_status"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Missing_log", "field"=>"sked_time_in" );
$tdataDashboard[".searchFields"]["Missing_log_sked_time_in"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Missing_log", "field"=>"sked_time_out" );
$tdataDashboard[".searchFields"]["Missing_log_sked_time_out"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Missing_log", "field"=>"attendance_time_in" );
$tdataDashboard[".searchFields"]["Missing_log_attendance_time_in"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Missing_log", "field"=>"attendance_time_out" );
$tdataDashboard[".searchFields"]["Missing_log_attendance_time_out"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"id" );
$tdataDashboard[".searchFields"]["attendance_logs_id"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"daily_dates" );
$tdataDashboard[".searchFields"]["attendance_logs_daily_dates"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"emp_no" );
$tdataDashboard[".searchFields"]["attendance_logs_emp_no"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"day_name" );
$tdataDashboard[".searchFields"]["attendance_logs_day_name"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"schedule_code" );
$tdataDashboard[".searchFields"]["attendance_logs_schedule_code"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"work_status" );
$tdataDashboard[".searchFields"]["attendance_logs_work_status"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"Absent" );
$tdataDashboard[".searchFields"]["attendance_logs_Absent"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"late" );
$tdataDashboard[".searchFields"]["attendance_logs_late"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"undertime" );
$tdataDashboard[".searchFields"]["attendance_logs_undertime"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"Approved_OT" );
$tdataDashboard[".searchFields"]["attendance_logs_Approved_OT"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"OT_rate" );
$tdataDashboard[".searchFields"]["attendance_logs_OT_rate"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"OT_Type" );
$tdataDashboard[".searchFields"]["attendance_logs_OT_Type"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"night_diff" );
$tdataDashboard[".searchFields"]["attendance_logs_night_diff"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"leave_type" );
$tdataDashboard[".searchFields"]["attendance_logs_leave_type"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"holiday" );
$tdataDashboard[".searchFields"]["attendance_logs_holiday"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"approved_sked_time_in" );
$tdataDashboard[".searchFields"]["attendance_logs_approved_sked_time_in"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"approved_sked_time_out" );
$tdataDashboard[".searchFields"]["attendance_logs_approved_sked_time_out"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"payroll_terms" );
$tdataDashboard[".searchFields"]["attendance_logs_payroll_terms"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"attendance_break_1_out" );
$tdataDashboard[".searchFields"]["attendance_logs_attendance_break_1_out"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"attendance_break_1_in" );
$tdataDashboard[".searchFields"]["attendance_logs_attendance_break_1_in"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"attendance_break_2_out" );
$tdataDashboard[".searchFields"]["attendance_logs_attendance_break_2_out"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"attendance_break_2_in" );
$tdataDashboard[".searchFields"]["attendance_logs_attendance_break_2_in"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"attendance_break_3_out" );
$tdataDashboard[".searchFields"]["attendance_logs_attendance_break_3_out"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"attendance_break_3_in" );
$tdataDashboard[".searchFields"]["attendance_logs_attendance_break_3_in"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"For_Approval_Dashboard", "field"=>"No" );
$tdataDashboard[".searchFields"]["For_Approval_Dashboard_No"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"For_Approval_Dashboard", "field"=>"Transaction" );
$tdataDashboard[".searchFields"]["For_Approval_Dashboard_Transaction"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"For_Approval_Dashboard", "field"=>"status" );
$tdataDashboard[".searchFields"]["For_Approval_Dashboard_status"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"For_Approval_Dashboard", "field"=>"View" );
$tdataDashboard[".searchFields"]["For_Approval_Dashboard_View"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"For_Approval_Dashboard", "field"=>"approved_by" );
$tdataDashboard[".searchFields"]["For_Approval_Dashboard_approved_by"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Expiring Employee Recurring Benefits Report", "field"=>"id" );
$tdataDashboard[".searchFields"]["Expiring_Employee_Recurring_Benefits_Report_id"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Expiring Employee Recurring Benefits Report", "field"=>"txnid" );
$tdataDashboard[".searchFields"]["Expiring_Employee_Recurring_Benefits_Report_txnid"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Expiring Employee Recurring Benefits Report", "field"=>"payroll_item" );
$tdataDashboard[".searchFields"]["Expiring_Employee_Recurring_Benefits_Report_payroll_item"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Expiring Employee Recurring Benefits Report", "field"=>"amount" );
$tdataDashboard[".searchFields"]["Expiring_Employee_Recurring_Benefits_Report_amount"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Expiring Employee Recurring Benefits Report", "field"=>"start_date" );
$tdataDashboard[".searchFields"]["Expiring_Employee_Recurring_Benefits_Report_start_date"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Expiring Employee Recurring Benefits Report", "field"=>"end_date" );
$tdataDashboard[".searchFields"]["Expiring_Employee_Recurring_Benefits_Report_end_date"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Expiring Employee Recurring Benefits Report", "field"=>"period" );
$tdataDashboard[".searchFields"]["Expiring_Employee_Recurring_Benefits_Report_period"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Expiring Employee Recurring Benefits Report", "field"=>"difference" );
$tdataDashboard[".searchFields"]["Expiring_Employee_Recurring_Benefits_Report_difference"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Expiring Employee Recurring Benefits Report", "field"=>"Edit" );
$tdataDashboard[".searchFields"]["Expiring_Employee_Recurring_Benefits_Report_Edit"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"attendance_time_in" );
$tdataDashboard[".searchFields"]["attendance_logs_attendance_time_in"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"attendance_logs", "field"=>"attendance_time_out" );
$tdataDashboard[".searchFields"]["attendance_logs_attendance_time_out"] = $dashField;

// all search fields
$tdataDashboard[".allSearchFields"] = array();
$tdataDashboard[".allSearchFields"][] = "Birthday_Reminder_id";
$tdataDashboard[".allSearchFields"][] = "Birthday_Reminder_emp_no";
$tdataDashboard[".allSearchFields"][] = "Birthday_Reminder_last_name";
$tdataDashboard[".allSearchFields"][] = "Birthday_Reminder_first_name";
$tdataDashboard[".allSearchFields"][] = "Birthday_Reminder_birthday";
$tdataDashboard[".allSearchFields"][] = "Birthday_Reminder_center";
$tdataDashboard[".allSearchFields"][] = "Birthday_Reminder_department";
$tdataDashboard[".allSearchFields"][] = "Birthday_Reminder_position";
$tdataDashboard[".allSearchFields"][] = "upcomming_holiday_id";
$tdataDashboard[".allSearchFields"][] = "upcomming_holiday_holiday";
$tdataDashboard[".allSearchFields"][] = "upcomming_holiday_date";
$tdataDashboard[".allSearchFields"][] = "upcomming_holiday_type";
$tdataDashboard[".allSearchFields"][] = "Missing_log_id";
$tdataDashboard[".allSearchFields"][] = "Missing_log_daily_dates";
$tdataDashboard[".allSearchFields"][] = "Missing_log_emp_no";
$tdataDashboard[".allSearchFields"][] = "Missing_log_day_name";
$tdataDashboard[".allSearchFields"][] = "Missing_log_schedule_code";
$tdataDashboard[".allSearchFields"][] = "Missing_log_work_status";
$tdataDashboard[".allSearchFields"][] = "Missing_log_sked_time_in";
$tdataDashboard[".allSearchFields"][] = "Missing_log_sked_time_out";
$tdataDashboard[".allSearchFields"][] = "Missing_log_attendance_time_in";
$tdataDashboard[".allSearchFields"][] = "Missing_log_attendance_time_out";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_id";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_daily_dates";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_emp_no";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_day_name";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_schedule_code";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_work_status";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_Absent";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_late";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_undertime";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_Approved_OT";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_OT_rate";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_OT_Type";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_night_diff";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_leave_type";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_holiday";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_approved_sked_time_in";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_approved_sked_time_out";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_payroll_terms";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_attendance_break_1_out";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_attendance_break_1_in";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_attendance_break_2_out";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_attendance_break_2_in";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_attendance_break_3_out";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_attendance_break_3_in";
$tdataDashboard[".allSearchFields"][] = "For_Approval_Dashboard_No";
$tdataDashboard[".allSearchFields"][] = "For_Approval_Dashboard_Transaction";
$tdataDashboard[".allSearchFields"][] = "For_Approval_Dashboard_status";
$tdataDashboard[".allSearchFields"][] = "For_Approval_Dashboard_View";
$tdataDashboard[".allSearchFields"][] = "For_Approval_Dashboard_approved_by";
$tdataDashboard[".allSearchFields"][] = "Expiring_Employee_Recurring_Benefits_Report_id";
$tdataDashboard[".allSearchFields"][] = "Expiring_Employee_Recurring_Benefits_Report_txnid";
$tdataDashboard[".allSearchFields"][] = "Expiring_Employee_Recurring_Benefits_Report_payroll_item";
$tdataDashboard[".allSearchFields"][] = "Expiring_Employee_Recurring_Benefits_Report_amount";
$tdataDashboard[".allSearchFields"][] = "Expiring_Employee_Recurring_Benefits_Report_start_date";
$tdataDashboard[".allSearchFields"][] = "Expiring_Employee_Recurring_Benefits_Report_end_date";
$tdataDashboard[".allSearchFields"][] = "Expiring_Employee_Recurring_Benefits_Report_period";
$tdataDashboard[".allSearchFields"][] = "Expiring_Employee_Recurring_Benefits_Report_difference";
$tdataDashboard[".allSearchFields"][] = "Expiring_Employee_Recurring_Benefits_Report_Edit";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_attendance_time_in";
$tdataDashboard[".allSearchFields"][] = "attendance_logs_attendance_time_out";

// good like search fields
$tdataDashboard[".googleLikeFields"] = array();
$tdataDashboard[".googleLikeFields"][] = "Birthday_Reminder_id";
$tdataDashboard[".googleLikeFields"][] = "Birthday_Reminder_emp_no";
$tdataDashboard[".googleLikeFields"][] = "Birthday_Reminder_last_name";
$tdataDashboard[".googleLikeFields"][] = "Birthday_Reminder_first_name";
$tdataDashboard[".googleLikeFields"][] = "Birthday_Reminder_birthday";
$tdataDashboard[".googleLikeFields"][] = "Birthday_Reminder_center";
$tdataDashboard[".googleLikeFields"][] = "Birthday_Reminder_department";
$tdataDashboard[".googleLikeFields"][] = "Birthday_Reminder_position";
$tdataDashboard[".googleLikeFields"][] = "upcomming_holiday_id";
$tdataDashboard[".googleLikeFields"][] = "upcomming_holiday_holiday";
$tdataDashboard[".googleLikeFields"][] = "upcomming_holiday_date";
$tdataDashboard[".googleLikeFields"][] = "upcomming_holiday_type";
$tdataDashboard[".googleLikeFields"][] = "Missing_log_id";
$tdataDashboard[".googleLikeFields"][] = "Missing_log_daily_dates";
$tdataDashboard[".googleLikeFields"][] = "Missing_log_emp_no";
$tdataDashboard[".googleLikeFields"][] = "Missing_log_day_name";
$tdataDashboard[".googleLikeFields"][] = "Missing_log_schedule_code";
$tdataDashboard[".googleLikeFields"][] = "Missing_log_work_status";
$tdataDashboard[".googleLikeFields"][] = "Missing_log_sked_time_in";
$tdataDashboard[".googleLikeFields"][] = "Missing_log_sked_time_out";
$tdataDashboard[".googleLikeFields"][] = "Missing_log_attendance_time_in";
$tdataDashboard[".googleLikeFields"][] = "Missing_log_attendance_time_out";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_id";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_daily_dates";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_emp_no";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_day_name";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_schedule_code";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_work_status";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_Absent";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_late";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_undertime";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_Approved_OT";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_OT_rate";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_OT_Type";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_night_diff";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_leave_type";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_holiday";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_approved_sked_time_in";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_approved_sked_time_out";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_payroll_terms";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_attendance_break_1_out";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_attendance_break_1_in";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_attendance_break_2_out";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_attendance_break_2_in";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_attendance_break_3_out";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_attendance_break_3_in";
$tdataDashboard[".googleLikeFields"][] = "For_Approval_Dashboard_No";
$tdataDashboard[".googleLikeFields"][] = "For_Approval_Dashboard_Transaction";
$tdataDashboard[".googleLikeFields"][] = "For_Approval_Dashboard_status";
$tdataDashboard[".googleLikeFields"][] = "For_Approval_Dashboard_View";
$tdataDashboard[".googleLikeFields"][] = "For_Approval_Dashboard_approved_by";
$tdataDashboard[".googleLikeFields"][] = "Expiring_Employee_Recurring_Benefits_Report_id";
$tdataDashboard[".googleLikeFields"][] = "Expiring_Employee_Recurring_Benefits_Report_txnid";
$tdataDashboard[".googleLikeFields"][] = "Expiring_Employee_Recurring_Benefits_Report_payroll_item";
$tdataDashboard[".googleLikeFields"][] = "Expiring_Employee_Recurring_Benefits_Report_amount";
$tdataDashboard[".googleLikeFields"][] = "Expiring_Employee_Recurring_Benefits_Report_start_date";
$tdataDashboard[".googleLikeFields"][] = "Expiring_Employee_Recurring_Benefits_Report_end_date";
$tdataDashboard[".googleLikeFields"][] = "Expiring_Employee_Recurring_Benefits_Report_period";
$tdataDashboard[".googleLikeFields"][] = "Expiring_Employee_Recurring_Benefits_Report_difference";
$tdataDashboard[".googleLikeFields"][] = "Expiring_Employee_Recurring_Benefits_Report_Edit";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_attendance_time_in";
$tdataDashboard[".googleLikeFields"][] = "attendance_logs_attendance_time_out";

$tdataDashboard[".dashElements"] = array();

	$dbelement = array( "elementName" => "Birthday_Reminder_report", "table" => "Birthday_Reminder",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_3_1";

				$dbelement["height"] = 400;


	$tdataDashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "upcomming_holiday_report", "table" => "upcomming_holiday",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_3_0";

				$dbelement["height"] = 400;


	$tdataDashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Missing_log_report", "table" => "Missing_log",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_2_1";

				$dbelement["height"] = 400;


	$tdataDashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "attendance_logs_report", "table" => "attendance_logs",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_0_0";

		$dbelement["reload"] = 300;
		$dbelement["width"] = 1000;
		$dbelement["height"] = 400;


	$tdataDashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "For_Approval_Dashboard_report", "table" => "For_Approval_Dashboard",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_2_0";

				$dbelement["height"] = 400;


	$tdataDashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Expiring_Employee_Recurring_Benefits_Report_report", "table" => "Expiring Employee Recurring Benefits Report",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_4_0";

				$dbelement["height"] = 400;


	$tdataDashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "payroll_generation_per_department_pie_chart", "table" => "Payroll Generation Per Department Pie",
		 "pageName" => "","type" => 1);
	$dbelement["cellName"] = "cell_1_0";

			

	$tdataDashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "payroll_generation_chart", "table" => "Payroll Generation",
		 "pageName" => "","type" => 1);
	$dbelement["cellName"] = "cell_1_1";

			

	$tdataDashboard[".dashElements"][] = $dbelement;

$tdataDashboard[".shortTableName"] = "Dashboard";
$tdataDashboard[".entityType"] = 4;



$tableEvents["Dashboard"] = new eventsBase;
$tdataDashboard[".hasEvents"] = false;


$tdataDashboard[".tableType"] = "dashboard";


																																																	
$tdataDashboard[".addPageEvents"] = false;

$tdataDashboard[".isUseAjaxSuggest"] = true;

$tables_data["Dashboard"]=&$tdataDashboard;
$field_labels["Dashboard"] = &$fieldLabelsDashboard;
$page_titles["Dashboard"] = &$pageTitlesDashboard;

?>