<?php
$tdatacheck_formats = array();
$tdatacheck_formats[".searchableFields"] = array();
$tdatacheck_formats[".ShortName"] = "check_formats";
$tdatacheck_formats[".OwnerID"] = "";
$tdatacheck_formats[".OriginalTable"] = "check_formats";


$tdatacheck_formats[".pagesByType"] = my_json_decode( "{\"search\":[\"search\"]}" );
$tdatacheck_formats[".originalPagesByType"] = $tdatacheck_formats[".pagesByType"];
$tdatacheck_formats[".pages"] = types2pages( my_json_decode( "{\"search\":[\"search\"]}" ) );
$tdatacheck_formats[".originalPages"] = $tdatacheck_formats[".pages"];
$tdatacheck_formats[".defaultPages"] = my_json_decode( "{\"search\":\"search\"}" );
$tdatacheck_formats[".originalDefaultPages"] = $tdatacheck_formats[".defaultPages"];

//	field labels
$fieldLabelscheck_formats = array();
$fieldToolTipscheck_formats = array();
$pageTitlescheck_formats = array();
$placeHolderscheck_formats = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelscheck_formats["English"] = array();
	$fieldToolTipscheck_formats["English"] = array();
	$placeHolderscheck_formats["English"] = array();
	$pageTitlescheck_formats["English"] = array();
	$fieldLabelscheck_formats["English"]["id"] = "Id";
	$fieldToolTipscheck_formats["English"]["id"] = "";
	$placeHolderscheck_formats["English"]["id"] = "";
	$fieldLabelscheck_formats["English"]["check_name"] = "Check Name";
	$fieldToolTipscheck_formats["English"]["check_name"] = "";
	$placeHolderscheck_formats["English"]["check_name"] = "";
	$fieldLabelscheck_formats["English"]["check_file"] = "Check File";
	$fieldToolTipscheck_formats["English"]["check_file"] = "";
	$placeHolderscheck_formats["English"]["check_file"] = "";
	if (count($fieldToolTipscheck_formats["English"]))
		$tdatacheck_formats[".isUseToolTips"] = true;
}


	$tdatacheck_formats[".NCSearch"] = true;



$tdatacheck_formats[".shortTableName"] = "check_formats";
$tdatacheck_formats[".nSecOptions"] = 0;

$tdatacheck_formats[".mainTableOwnerID"] = "";
$tdatacheck_formats[".entityType"] = 0;
$tdatacheck_formats[".connId"] = "erp_test3_at_localhost";


$tdatacheck_formats[".strOriginalTableName"] = "check_formats";

	



$tdatacheck_formats[".showAddInPopup"] = false;

$tdatacheck_formats[".showEditInPopup"] = false;

$tdatacheck_formats[".showViewInPopup"] = false;

$tdatacheck_formats[".listAjax"] = false;
//	temporary
//$tdatacheck_formats[".listAjax"] = false;

	$tdatacheck_formats[".audit"] = false;

	$tdatacheck_formats[".locking"] = false;


$pages = $tdatacheck_formats[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacheck_formats[".edit"] = true;
	$tdatacheck_formats[".afterEditAction"] = 1;
	$tdatacheck_formats[".closePopupAfterEdit"] = 1;
	$tdatacheck_formats[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacheck_formats[".add"] = true;
$tdatacheck_formats[".afterAddAction"] = 1;
$tdatacheck_formats[".closePopupAfterAdd"] = 1;
$tdatacheck_formats[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacheck_formats[".list"] = true;
}



$tdatacheck_formats[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacheck_formats[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacheck_formats[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacheck_formats[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacheck_formats[".printFriendly"] = true;
}



$tdatacheck_formats[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacheck_formats[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacheck_formats[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacheck_formats[".isUseAjaxSuggest"] = true;

$tdatacheck_formats[".rowHighlite"] = true;



																																																																																																																																																												

$tdatacheck_formats[".ajaxCodeSnippetAdded"] = false;

$tdatacheck_formats[".buttonsAdded"] = false;

$tdatacheck_formats[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacheck_formats[".isUseTimeForSearch"] = false;




$tdatacheck_formats[".allSearchFields"] = array();
$tdatacheck_formats[".filterFields"] = array();
$tdatacheck_formats[".requiredSearchFields"] = array();

$tdatacheck_formats[".googleLikeFields"] = array();
$tdatacheck_formats[".googleLikeFields"][] = "id";
$tdatacheck_formats[".googleLikeFields"][] = "check_name";
$tdatacheck_formats[".googleLikeFields"][] = "check_file";



$tdatacheck_formats[".tableType"] = "list";

$tdatacheck_formats[".printerPageOrientation"] = 0;
$tdatacheck_formats[".nPrinterPageScale"] = 100;

$tdatacheck_formats[".nPrinterSplitRecords"] = 40;

$tdatacheck_formats[".geocodingEnabled"] = false;










$tdatacheck_formats[".pageSize"] = 20;

$tdatacheck_formats[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatacheck_formats[".strOrderBy"] = $tstrOrderBy;

$tdatacheck_formats[".orderindexes"] = array();


$tdatacheck_formats[".sqlHead"] = "SELECT id,  	check_name,  	check_file";
$tdatacheck_formats[".sqlFrom"] = "FROM check_formats";
$tdatacheck_formats[".sqlWhereExpr"] = "";
$tdatacheck_formats[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacheck_formats[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacheck_formats[".arrGroupsPerPage"] = $arrGPP;

$tdatacheck_formats[".highlightSearchResults"] = true;

$tableKeyscheck_formats = array();
$tableKeyscheck_formats[] = "id";
$tdatacheck_formats[".Keys"] = $tableKeyscheck_formats;


$tdatacheck_formats[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "check_formats";
	$fdata["Label"] = GetFieldLabel("check_formats","id");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheck_formats["id"] = $fdata;
		$tdatacheck_formats[".searchableFields"][] = "id";
//	check_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "check_name";
	$fdata["GoodName"] = "check_name";
	$fdata["ownerTable"] = "check_formats";
	$fdata["Label"] = GetFieldLabel("check_formats","check_name");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "check_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "check_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheck_formats["check_name"] = $fdata;
		$tdatacheck_formats[".searchableFields"][] = "check_name";
//	check_file
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "check_file";
	$fdata["GoodName"] = "check_file";
	$fdata["ownerTable"] = "check_formats";
	$fdata["Label"] = GetFieldLabel("check_formats","check_file");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "check_file";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "check_file";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheck_formats["check_file"] = $fdata;
		$tdatacheck_formats[".searchableFields"][] = "check_file";


$tables_data["check_formats"]=&$tdatacheck_formats;
$field_labels["check_formats"] = &$fieldLabelscheck_formats;
$fieldToolTips["check_formats"] = &$fieldToolTipscheck_formats;
$placeHolders["check_formats"] = &$placeHolderscheck_formats;
$page_titles["check_formats"] = &$pageTitlescheck_formats;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["check_formats"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["check_formats"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_check_formats()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	check_name,  	check_file";
$proto0["m_strFrom"] = "FROM check_formats";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "check_formats",
	"m_srcTableName" => "check_formats"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "check_formats";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "check_name",
	"m_strTable" => "check_formats",
	"m_srcTableName" => "check_formats"
));

$proto8["m_sql"] = "check_name";
$proto8["m_srcTableName"] = "check_formats";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "check_file",
	"m_strTable" => "check_formats",
	"m_srcTableName" => "check_formats"
));

$proto10["m_sql"] = "check_file";
$proto10["m_srcTableName"] = "check_formats";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "check_formats";
$proto13["m_srcTableName"] = "check_formats";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "id";
$proto13["m_columns"][] = "check_name";
$proto13["m_columns"][] = "check_file";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "check_formats";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "check_formats";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="check_formats";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_check_formats = createSqlQuery_check_formats();


	
		;

			

$tdatacheck_formats[".sqlquery"] = $queryData_check_formats;



$tableEvents["check_formats"] = new eventsBase;
$tdatacheck_formats[".hasEvents"] = false;

?>