<?php

$dal_info = array();

/**
 * User API function
 * @param String sql
 */
function UsersTableName()
{
	global $cman;
	$connection = $cman->getForLogin();
	return $connection->addTableWrappers("payroll_system_user");
}

/**
 * User API function
 * It uses the default db connection
 * @param String dalSQL
 */
function CustomQuery($dalSQL)
{
	$connection = getDefaultConnection();
	$result = $connection->query( $dalSQL );
	if($result)
		return $result;
}

/**
 * User API function
 * It uses the default db connection 
 * @param String sql
 */
function DBLookup($sql)
{
	$connection = getDefaultConnection();
	$data = $connection->query( $sql )->fetchAssoc();

	if( $data )
		return reset($data);
	  
	return null;
}

/**
  * Data Access Layer.
  */
class tDAL
{
	var $tblerp_test3_at_localhost__accident;
	var $tblerp_test3_at_localhost__account_classification;
	var $tblerp_test3_at_localhost__account_general_classification;
	var $tblerp_test3_at_localhost__account_type;
	var $tblerp_test3_at_localhost__accounting_period;
	var $tblerp_test3_at_localhost__activity_log;
	var $tblerp_test3_at_localhost__additional_holiday_entry;
	var $tblerp_test3_at_localhost__aging_ap;
	var $tblerp_test3_at_localhost__announcement;
	var $tblerp_test3_at_localhost__annual_tax_table;
	var $tblerp_test3_at_localhost__applicant_requirements;
	var $tblerp_test3_at_localhost__approval_alerts;
	var $tblerp_test3_at_localhost__approver_list;
	var $tblerp_test3_at_localhost__attendance;
	var $tblerp_test3_at_localhost__attendance_report;
	var $tblerp_test3_at_localhost__attendance_summary;
	var $tblerp_test3_at_localhost__attendance_type;
	var $tblerp_test3_at_localhost__award;
	var $tblerp_test3_at_localhost__bank;
	var $tblerp_test3_at_localhost__basic_system_audit;
	var $tblerp_test3_at_localhost__bio_upload;
	var $tblerp_test3_at_localhost__business_partner;
	var $tblerp_test3_at_localhost__certifications;
	var $tblerp_test3_at_localhost__change_time;
	var $tblerp_test3_at_localhost__changetime_file;
	var $tblerp_test3_at_localhost__chart_of_accounts;
	var $tblerp_test3_at_localhost__check_formats;
	var $tblerp_test3_at_localhost__company;
	var $tblerp_test3_at_localhost__company_info;
	var $tblerp_test3_at_localhost__cost_center;
	var $tblerp_test3_at_localhost__cost_center2;
	var $tblerp_test3_at_localhost__credit_terms;
	var $tblerp_test3_at_localhost__cto;
	var $tblerp_test3_at_localhost__currency;
	var $tblerp_test3_at_localhost__currency_exchange_rate;
	var $tblerp_test3_at_localhost__cut_off;
	var $tblerp_test3_at_localhost__department;
	var $tblerp_test3_at_localhost__discounts;
	var $tblerp_test3_at_localhost__employee_application;
	var $tblerp_test3_at_localhost__employee_attendance_summary;
	var $tblerp_test3_at_localhost__employee_dependents;
	var $tblerp_test3_at_localhost__employee_project;
	var $tblerp_test3_at_localhost__employee_project_task;
	var $tblerp_test3_at_localhost__employee_recurring_benefit_detail;
	var $tblerp_test3_at_localhost__employee_recurring_deduction_detail;
	var $tblerp_test3_at_localhost__employee_requirements;
	var $tblerp_test3_at_localhost__employees;
	var $tblerp_test3_at_localhost__employment_history;
	var $tblerp_test3_at_localhost__examination;
	var $tblerp_test3_at_localhost__executive_manangement;
	var $tblerp_test3_at_localhost__fieldwork;
	var $tblerp_test3_at_localhost__fieldwork_file;
	var $tblerp_test3_at_localhost__financial_statement;
	var $tblerp_test3_at_localhost__fiscal_year;
	var $tblerp_test3_at_localhost__flexben;
	var $tblerp_test3_at_localhost__flexben_type;
	var $tblerp_test3_at_localhost__gov_or_payments;
	var $tblerp_test3_at_localhost__gov_or_records;
	var $tblerp_test3_at_localhost__holiday;
	var $tblerp_test3_at_localhost__item;
	var $tblerp_test3_at_localhost__job_grade;
	var $tblerp_test3_at_localhost__leave;
	var $tblerp_test3_at_localhost__leave_credits;
	var $tblerp_test3_at_localhost__level;
	var $tblerp_test3_at_localhost__loan;
	var $tblerp_test3_at_localhost__loan__detail;
	var $tblerp_test3_at_localhost__location;
	var $tblerp_test3_at_localhost__medical;
	var $tblerp_test3_at_localhost__missing_logs;
	var $tblerp_test3_at_localhost__month_values;
	var $tblerp_test3_at_localhost__organizations;
	var $tblerp_test3_at_localhost__over_time;
	var $tblerp_test3_at_localhost__pagibig;
	var $tblerp_test3_at_localhost__payment_method;
	var $tblerp_test3_at_localhost__payroll_account_type;
	var $tblerp_test3_at_localhost__payroll_employee_cto_unused;
	var $tblerp_test3_at_localhost__payroll_employee_cto_used;
	var $tblerp_test3_at_localhost__payroll_entry;
	var $tblerp_test3_at_localhost__payroll_entry_detail;
	var $tblerp_test3_at_localhost__payroll_item;
	var $tblerp_test3_at_localhost__payroll_report_center;
	var $tblerp_test3_at_localhost__payroll_system_user;
	var $tblerp_test3_at_localhost__payroll_terms;
	var $tblerp_test3_at_localhost__payroll_ticketing;
	var $tblerp_test3_at_localhost__payrollv104_uggroups;
	var $tblerp_test3_at_localhost__payrollv104_ugmembers;
	var $tblerp_test3_at_localhost__payrollv104_ugrights;
	var $tblerp_test3_at_localhost__phase;
	var $tblerp_test3_at_localhost__philhealth;
	var $tblerp_test3_at_localhost__position;
	var $tblerp_test3_at_localhost__post_attendance;
	var $tblerp_test3_at_localhost__process_payroll;
	var $tblerp_test3_at_localhost__process_payroll_detail;
	var $tblerp_test3_at_localhost__process_payroll_finalpay;
	var $tblerp_test3_at_localhost__pto_allowed_balance;
	var $tblerp_test3_at_localhost__purchase_request;
	var $tblerp_test3_at_localhost__purchase_request_detail;
	var $tblerp_test3_at_localhost__recuring_benefits;
	var $tblerp_test3_at_localhost__recuring_deductions;
	var $tblerp_test3_at_localhost__recurring_benefits_detail;
	var $tblerp_test3_at_localhost__recurring_deductions_detail;
	var $tblerp_test3_at_localhost__reimbursement;
	var $tblerp_test3_at_localhost__reimbursement_detail;
	var $tblerp_test3_at_localhost__request_for_payment;
	var $tblerp_test3_at_localhost__request_for_payment_detail;
	var $tblerp_test3_at_localhost__schedule;
	var $tblerp_test3_at_localhost__section;
	var $tblerp_test3_at_localhost__seminar;
	var $tblerp_test3_at_localhost__seminar_details;
	var $tblerp_test3_at_localhost__serial_no;
	var $tblerp_test3_at_localhost__sss;
	var $tblerp_test3_at_localhost__sum_payroll_generation_per_dep;
	var $tblerp_test3_at_localhost__sum_payroll_generation_per_dep_and_pi;
	var $tblerp_test3_at_localhost__system_user;
	var $tblerp_test3_at_localhost__tax_status;
	var $tblerp_test3_at_localhost__training;
	var $tblerp_test3_at_localhost__training_details;
	var $tblerp_test3_at_localhost__tranasactions_for_approval;
	var $tblerp_test3_at_localhost__undertime;
	var $tblerp_test3_at_localhost__uom;
	var $tblerp_test3_at_localhost__vat_rate;
	var $tblerp_test3_at_localhost__vat_type;
	var $tblerp_test3_at_localhost__violation;
	var $tblerp_test3_at_localhost__violation_type;
	var $tblerp_test3_at_localhost__weekly_schedule;
	var $tblerp_test3_at_localhost__witholding;
	var $tblerp_test3_at_localhost__year_end_pto_conversion;
	var $lstTables;
	var $Table = array();

	function FillTablesList()
	{
		if($this->lstTables)
			return;
		$this->lstTables[] = array("name" => "accident", "varname" => "erp_test3_at_localhost__accident", "altvarname" => "accident", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "account_classification", "varname" => "erp_test3_at_localhost__account_classification", "altvarname" => "account_classification", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "account_general_classification", "varname" => "erp_test3_at_localhost__account_general_classification", "altvarname" => "account_general_classification", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "account_type", "varname" => "erp_test3_at_localhost__account_type", "altvarname" => "account_type", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "accounting_period", "varname" => "erp_test3_at_localhost__accounting_period", "altvarname" => "accounting_period", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "activity_log", "varname" => "erp_test3_at_localhost__activity_log", "altvarname" => "activity_log", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "additional_holiday_entry", "varname" => "erp_test3_at_localhost__additional_holiday_entry", "altvarname" => "additional_holiday_entry", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "aging_ap", "varname" => "erp_test3_at_localhost__aging_ap", "altvarname" => "aging_ap", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "announcement", "varname" => "erp_test3_at_localhost__announcement", "altvarname" => "announcement", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "annual_tax_table", "varname" => "erp_test3_at_localhost__annual_tax_table", "altvarname" => "annual_tax_table", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "applicant_requirements", "varname" => "erp_test3_at_localhost__applicant_requirements", "altvarname" => "applicant_requirements", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "approval_alerts", "varname" => "erp_test3_at_localhost__approval_alerts", "altvarname" => "approval_alerts", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "approver_list", "varname" => "erp_test3_at_localhost__approver_list", "altvarname" => "approver_list", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "attendance", "varname" => "erp_test3_at_localhost__attendance", "altvarname" => "attendance", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "attendance_report", "varname" => "erp_test3_at_localhost__attendance_report", "altvarname" => "attendance_report", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "attendance_summary", "varname" => "erp_test3_at_localhost__attendance_summary", "altvarname" => "attendance_summary", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "attendance_type", "varname" => "erp_test3_at_localhost__attendance_type", "altvarname" => "attendance_type", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "award", "varname" => "erp_test3_at_localhost__award", "altvarname" => "award", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "bank", "varname" => "erp_test3_at_localhost__bank", "altvarname" => "bank", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "basic_system_audit", "varname" => "erp_test3_at_localhost__basic_system_audit", "altvarname" => "basic_system_audit", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "bio_upload", "varname" => "erp_test3_at_localhost__bio_upload", "altvarname" => "bio_upload", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "business_partner", "varname" => "erp_test3_at_localhost__business_partner", "altvarname" => "business_partner", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "certifications", "varname" => "erp_test3_at_localhost__certifications", "altvarname" => "certifications", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "change_time", "varname" => "erp_test3_at_localhost__change_time", "altvarname" => "change_time", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "changetime_file", "varname" => "erp_test3_at_localhost__changetime_file", "altvarname" => "changetime_file", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "chart_of_accounts", "varname" => "erp_test3_at_localhost__chart_of_accounts", "altvarname" => "chart_of_accounts", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "check_formats", "varname" => "erp_test3_at_localhost__check_formats", "altvarname" => "check_formats", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "company", "varname" => "erp_test3_at_localhost__company", "altvarname" => "company", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "company_info", "varname" => "erp_test3_at_localhost__company_info", "altvarname" => "company_info", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "cost_center", "varname" => "erp_test3_at_localhost__cost_center", "altvarname" => "cost_center", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "cost_center2", "varname" => "erp_test3_at_localhost__cost_center2", "altvarname" => "cost_center2", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "credit_terms", "varname" => "erp_test3_at_localhost__credit_terms", "altvarname" => "credit_terms", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "cto", "varname" => "erp_test3_at_localhost__cto", "altvarname" => "cto", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "currency", "varname" => "erp_test3_at_localhost__currency", "altvarname" => "currency", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "currency_exchange_rate", "varname" => "erp_test3_at_localhost__currency_exchange_rate", "altvarname" => "currency_exchange_rate", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "cut_off", "varname" => "erp_test3_at_localhost__cut_off", "altvarname" => "cut_off", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "department", "varname" => "erp_test3_at_localhost__department", "altvarname" => "department", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "discounts", "varname" => "erp_test3_at_localhost__discounts", "altvarname" => "discounts", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "employee_application", "varname" => "erp_test3_at_localhost__employee_application", "altvarname" => "employee_application", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "employee_attendance_summary", "varname" => "erp_test3_at_localhost__employee_attendance_summary", "altvarname" => "employee_attendance_summary", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "employee_dependents", "varname" => "erp_test3_at_localhost__employee_dependents", "altvarname" => "employee_dependents", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "employee_project", "varname" => "erp_test3_at_localhost__employee_project", "altvarname" => "employee_project", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "employee_project_task", "varname" => "erp_test3_at_localhost__employee_project_task", "altvarname" => "employee_project_task", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "employee_recurring_benefit_detail", "varname" => "erp_test3_at_localhost__employee_recurring_benefit_detail", "altvarname" => "employee_recurring_benefit_detail", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "employee_recurring_deduction_detail", "varname" => "erp_test3_at_localhost__employee_recurring_deduction_detail", "altvarname" => "employee_recurring_deduction_detail", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "employee_requirements", "varname" => "erp_test3_at_localhost__employee_requirements", "altvarname" => "employee_requirements", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "employees", "varname" => "erp_test3_at_localhost__employees", "altvarname" => "employees", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "employment_history", "varname" => "erp_test3_at_localhost__employment_history", "altvarname" => "employment_history", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "examination", "varname" => "erp_test3_at_localhost__examination", "altvarname" => "examination", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "executive_manangement", "varname" => "erp_test3_at_localhost__executive_manangement", "altvarname" => "executive_manangement", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "fieldwork", "varname" => "erp_test3_at_localhost__fieldwork", "altvarname" => "fieldwork", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "fieldwork_file", "varname" => "erp_test3_at_localhost__fieldwork_file", "altvarname" => "fieldwork_file", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "financial_statement", "varname" => "erp_test3_at_localhost__financial_statement", "altvarname" => "financial_statement", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "fiscal_year", "varname" => "erp_test3_at_localhost__fiscal_year", "altvarname" => "fiscal_year", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "flexben", "varname" => "erp_test3_at_localhost__flexben", "altvarname" => "flexben", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "flexben_type", "varname" => "erp_test3_at_localhost__flexben_type", "altvarname" => "flexben_type", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "gov_or_payments", "varname" => "erp_test3_at_localhost__gov_or_payments", "altvarname" => "gov_or_payments", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "gov_or_records", "varname" => "erp_test3_at_localhost__gov_or_records", "altvarname" => "gov_or_records", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "holiday", "varname" => "erp_test3_at_localhost__holiday", "altvarname" => "holiday", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "item", "varname" => "erp_test3_at_localhost__item", "altvarname" => "item", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "job_grade", "varname" => "erp_test3_at_localhost__job_grade", "altvarname" => "job_grade", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "leave", "varname" => "erp_test3_at_localhost__leave", "altvarname" => "leave", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "leave_credits", "varname" => "erp_test3_at_localhost__leave_credits", "altvarname" => "leave_credits", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "level", "varname" => "erp_test3_at_localhost__level", "altvarname" => "level", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "loan", "varname" => "erp_test3_at_localhost__loan", "altvarname" => "loan", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "loan__detail", "varname" => "erp_test3_at_localhost__loan__detail", "altvarname" => "loan__detail", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "location", "varname" => "erp_test3_at_localhost__location", "altvarname" => "location", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "medical", "varname" => "erp_test3_at_localhost__medical", "altvarname" => "medical", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "missing_logs", "varname" => "erp_test3_at_localhost__missing_logs", "altvarname" => "missing_logs", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "month_values", "varname" => "erp_test3_at_localhost__month_values", "altvarname" => "month_values", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "organizations", "varname" => "erp_test3_at_localhost__organizations", "altvarname" => "organizations", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "over_time", "varname" => "erp_test3_at_localhost__over_time", "altvarname" => "over_time", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "pagibig", "varname" => "erp_test3_at_localhost__pagibig", "altvarname" => "pagibig", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payment_method", "varname" => "erp_test3_at_localhost__payment_method", "altvarname" => "payment_method", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payroll_account_type", "varname" => "erp_test3_at_localhost__payroll_account_type", "altvarname" => "payroll_account_type", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payroll_employee_cto_unused", "varname" => "erp_test3_at_localhost__payroll_employee_cto_unused", "altvarname" => "payroll_employee_cto_unused", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payroll_employee_cto_used", "varname" => "erp_test3_at_localhost__payroll_employee_cto_used", "altvarname" => "payroll_employee_cto_used", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payroll_entry", "varname" => "erp_test3_at_localhost__payroll_entry", "altvarname" => "payroll_entry", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payroll_entry_detail", "varname" => "erp_test3_at_localhost__payroll_entry_detail", "altvarname" => "payroll_entry_detail", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payroll_item", "varname" => "erp_test3_at_localhost__payroll_item", "altvarname" => "payroll_item", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payroll_report_center", "varname" => "erp_test3_at_localhost__payroll_report_center", "altvarname" => "payroll_report_center", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payroll_system_user", "varname" => "erp_test3_at_localhost__payroll_system_user", "altvarname" => "payroll_system_user", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payroll_terms", "varname" => "erp_test3_at_localhost__payroll_terms", "altvarname" => "payroll_terms", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payroll_ticketing", "varname" => "erp_test3_at_localhost__payroll_ticketing", "altvarname" => "payroll_ticketing", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payrollv104_uggroups", "varname" => "erp_test3_at_localhost__payrollv104_uggroups", "altvarname" => "payrollv104_uggroups", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payrollv104_ugmembers", "varname" => "erp_test3_at_localhost__payrollv104_ugmembers", "altvarname" => "payrollv104_ugmembers", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "payrollv104_ugrights", "varname" => "erp_test3_at_localhost__payrollv104_ugrights", "altvarname" => "payrollv104_ugrights", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "phase", "varname" => "erp_test3_at_localhost__phase", "altvarname" => "phase", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "philhealth", "varname" => "erp_test3_at_localhost__philhealth", "altvarname" => "philhealth", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "position", "varname" => "erp_test3_at_localhost__position", "altvarname" => "position", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "post_attendance", "varname" => "erp_test3_at_localhost__post_attendance", "altvarname" => "post_attendance", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "process_payroll", "varname" => "erp_test3_at_localhost__process_payroll", "altvarname" => "process_payroll", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "process_payroll_detail", "varname" => "erp_test3_at_localhost__process_payroll_detail", "altvarname" => "process_payroll_detail", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "process_payroll_finalpay", "varname" => "erp_test3_at_localhost__process_payroll_finalpay", "altvarname" => "process_payroll_finalpay", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "pto_allowed_balance", "varname" => "erp_test3_at_localhost__pto_allowed_balance", "altvarname" => "pto_allowed_balance", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "purchase_request", "varname" => "erp_test3_at_localhost__purchase_request", "altvarname" => "purchase_request", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "purchase_request_detail", "varname" => "erp_test3_at_localhost__purchase_request_detail", "altvarname" => "purchase_request_detail", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "recuring_benefits", "varname" => "erp_test3_at_localhost__recuring_benefits", "altvarname" => "recuring_benefits", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "recuring_deductions", "varname" => "erp_test3_at_localhost__recuring_deductions", "altvarname" => "recuring_deductions", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "recurring_benefits_detail", "varname" => "erp_test3_at_localhost__recurring_benefits_detail", "altvarname" => "recurring_benefits_detail", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "recurring_deductions_detail", "varname" => "erp_test3_at_localhost__recurring_deductions_detail", "altvarname" => "recurring_deductions_detail", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "reimbursement", "varname" => "erp_test3_at_localhost__reimbursement", "altvarname" => "reimbursement", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "reimbursement_detail", "varname" => "erp_test3_at_localhost__reimbursement_detail", "altvarname" => "reimbursement_detail", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "request_for_payment", "varname" => "erp_test3_at_localhost__request_for_payment", "altvarname" => "request_for_payment", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "request_for_payment_detail", "varname" => "erp_test3_at_localhost__request_for_payment_detail", "altvarname" => "request_for_payment_detail", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "schedule", "varname" => "erp_test3_at_localhost__schedule", "altvarname" => "schedule", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "section", "varname" => "erp_test3_at_localhost__section", "altvarname" => "section", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "seminar", "varname" => "erp_test3_at_localhost__seminar", "altvarname" => "seminar", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "seminar_details", "varname" => "erp_test3_at_localhost__seminar_details", "altvarname" => "seminar_details", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "serial_no", "varname" => "erp_test3_at_localhost__serial_no", "altvarname" => "serial_no", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "sss", "varname" => "erp_test3_at_localhost__sss", "altvarname" => "sss", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "sum_payroll_generation_per_dep", "varname" => "erp_test3_at_localhost__sum_payroll_generation_per_dep", "altvarname" => "sum_payroll_generation_per_dep", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "sum_payroll_generation_per_dep_and_pi", "varname" => "erp_test3_at_localhost__sum_payroll_generation_per_dep_and_pi", "altvarname" => "sum_payroll_generation_per_dep_and_pi", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "system_user", "varname" => "erp_test3_at_localhost__system_user", "altvarname" => "system_user", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "tax_status", "varname" => "erp_test3_at_localhost__tax_status", "altvarname" => "tax_status", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "training", "varname" => "erp_test3_at_localhost__training", "altvarname" => "training", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "training_details", "varname" => "erp_test3_at_localhost__training_details", "altvarname" => "training_details", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "tranasactions_for_approval", "varname" => "erp_test3_at_localhost__tranasactions_for_approval", "altvarname" => "tranasactions_for_approval", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "undertime", "varname" => "erp_test3_at_localhost__undertime", "altvarname" => "undertime", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "uom", "varname" => "erp_test3_at_localhost__uom", "altvarname" => "uom", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "vat_rate", "varname" => "erp_test3_at_localhost__vat_rate", "altvarname" => "vat_rate", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "vat_type", "varname" => "erp_test3_at_localhost__vat_type", "altvarname" => "vat_type", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "violation", "varname" => "erp_test3_at_localhost__violation", "altvarname" => "violation", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "violation_type", "varname" => "erp_test3_at_localhost__violation_type", "altvarname" => "violation_type", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "weekly_schedule", "varname" => "erp_test3_at_localhost__weekly_schedule", "altvarname" => "weekly_schedule", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "witholding", "varname" => "erp_test3_at_localhost__witholding", "altvarname" => "witholding", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
		$this->lstTables[] = array("name" => "year_end_pto_conversion", "varname" => "erp_test3_at_localhost__year_end_pto_conversion", "altvarname" => "year_end_pto_conversion", "connId" => "erp_test3_at_localhost", "schema" => "", "connName" => "xynix_main_database at localhost");
	}

	/**
      * Returns table object by table name.
      * @intellisense
      */
	function & Table($strTable, $schema = "", $connName = "")
	{
		$this->FillTablesList();
		foreach($this->lstTables as $tbl)
		{
			if(strtoupper($strTable)==strtoupper($tbl["name"]) &&
				( $schema == "" || strtoupper($schema) == strtoupper($tbl["schema"]) ) &&
				($connName == "" || strtoupper($connName) == strtoupper($tbl["connName"]) ) )
			{
				$this->CreateClass($tbl);
				return $this->{"tbl".$tbl["varname"]};
			}
		}
//	check table names without dbo. and other prefixes
		foreach($this->lstTables as $tbl)
		{
			if(strtoupper(cutprefix($strTable))==strtoupper(cutprefix($tbl["name"])))
			{
				$this->CreateClass($tbl);
				return $this->{"tbl".$tbl["varname"]};
			}
		}
		$dummy=null;
		return $dummy;
	}
	
	function CreateClass(&$tbl)
	{
		if($this->{"tbl".$tbl["varname"]})
			return;
//	load table info
		global $dal_info;
		include(getabspath("include/dal/".($tbl["varname"]).".php"));
//	create class and object

		$classname="class_".$tbl["varname"];
		$str = "class ".$classname." extends tDALTable  {";
		foreach($dal_info[$tbl["varname"]] as $fld)
		{
			$str.=' var $'.$fld["varname"].'; ';
		}
		
		$tableName = $tbl["name"];
		if( $tbl["schema"] )
			$tableName = $tbl["schema"] . "." . $tbl["name"];
		$str.=' function __construct()
			{
				$this->m_TableName = \''.escapesq( $tableName ).'\';
				$this->infoKey = \'' . $tbl["varname"] . '\';
				$this->setConnection(\''. $tbl["connId"] .'\');
			}
		};';
		eval($str);
		$this->{"tbl".$tbl["varname"]} = new $classname;
		$this->{$tbl["altvarname"]} = $this->{"tbl".$tbl["varname"]};
		$this->Table[$tbl["name"]]=&$this->{"tbl".$tbl["varname"]};
	}
	
	/**
      * Returns list of table names.
      * @intellisense
      */
	function GetTablesList()
	{
		$this->FillTablesList();
		$res=array();
		foreach($this->lstTables as $tbl)
			$res[]=$tbl["name"];
		return $res;
	}
	
	/**
      * Get list of table fields by table name.
      * @intellisense
      */
	function GetFieldsList($table)
	{
		$tbl = $this->Table($table);
		return $tbl->GetFieldsList();
	}
	
	/**
      * Get field type by table name and field name.
      * @intellisense
      */
	function GetFieldType($table,$field)
	{
		$tbl = $this->Table($table);
		return $tbl->GetFieldType($field);
	}

	/**
      * Get table key fields by table name.
      * @intellisense
      */
	function GetDBTableKeys($table)
	{
		$tbl = $this->Table($table);
		return $tbl->GetDBTableKeys();
	}
}

$dal = new tDAL;

/**
 * Data Access Layer table class.
 */ 
class tDALTable
{
	var $m_TableName;
	var $infoKey;
	var $Param = array();
	var $Value = array();
	/**
	 * @type Connection
	 */
	var $_connection;
	
	/**
	 * Set the connection property
	 * @param String connId
	 */
	function setConnection( $connId )
	{
		global $cman;
		$this->_connection = $cman->byId( $connId );
	}
	
	/**
      * Get table key fields.
      * @intellisense
      */
	function GetDBTableKeys()
	{
		global $dal_info;
		if( !array_key_exists($this->infoKey, $dal_info) || !is_array($dal_info[ $this->infoKey ]) )
			return array();
		
		$ret = array();
		foreach($dal_info[ $this->infoKey ] as $fname=>$f)
		{
			if( @$f["key"] )
				$ret[] = $fname;
		}
		return $ret;
	}
	
	/**
      * Get list of table fields.
      * @intellisense
      */
	function GetFieldsList()
	{
		global $dal_info;
		return array_keys( $dal_info[ $this->infoKey ] );
	}

	/**
      * Get field type.
      * @intellisense
      */
	function GetFieldType($field)
	{
		global $dal_info;
		
		if( !array_key_exists( $field, $dal_info[ $this->infoKey ]) )
			return 200;
			
		return $dal_info[ $this->infoKey ][ $field ]["type"];
	}
	
	/**
	 *
	 */
	function PrepareValue($value, $type)
	{
		if( $this->_connection->dbType == nDATABASE_Oracle || $this->_connection->dbType == nDATABASE_DB2 || $this->_connection->dbType == nDATABASE_Informix )
		{
			if( IsBinaryType($type) )
			{
				if( $this->_connection->dbType == nDATABASE_Oracle )
					return "EMPTY_BLOB()";
					
				return "?";
			}
			
			if( $this->_connection->dbType == nDATABASE_Informix  && IsTextType($type) )
				return "?";
		}
	
		if( IsDateFieldType($type) )
		{
			if( !$value )
				return "null";
			else
				$this->_connection->addDateQuotes( $value );
		}
		
		if( NeedQuotes($type) )
			return $this->_connection->prepareString( $value );

		return 0 + $value;
	}
	
	/**
      * Get table name.
      * @intellisense
      */
	function TableName()
	{
		return $this->_connection->addTableWrappers( $this->m_TableName );
	} 

	/**
	 * @param Array blobs
	 * @param String dalSQL
	 * @param Array tableinfo
	 */
	protected function Execute_Query($blobs, $dalSQL, $tableinfo)
	{		
		$blobTypes = array();
		if( $this->_connection->dbType == nDATABASE_Informix )
		{		
			foreach( $blobs as $fname => $fvalue )
			{
				$blobTypes[ $fname ] = $tableinfo[ $fname ]["type"];
			}
		}

		$this->_connection->execWithBlobProcessing( $dalSQL, $blobs, $blobTypes );
	}

	/**
      * Add new record to the table.
      * @intellisense
      */
	function Add() 
	{
		global $dal_info;
		
		$insertFields = "";
		$insertValues = "";
		$tableinfo = &$dal_info[ $this->infoKey ];
		$blobs = array();
		//	prepare parameters		
		foreach($tableinfo as $fieldname => $fld)
		{
			if( isset($this->{$fld['varname']}) )
			{
				$this->Value[ $fieldname ] = $this->{$fld['varname']};
			}
			
			foreach($this->Value as $field => $value)
			{
				if( strtoupper($field) != strtoupper($fieldname) )
					continue;
					
				$insertFields.= $this->_connection->addFieldWrappers( $fieldname ).",";
				$insertValues.= $this->PrepareValue($value,$fld["type"]) . ",";
				
				if( $this->_connection->dbType == nDATABASE_Oracle || $this->_connection->dbType == nDATABASE_DB2 || $this->_connection->dbType == nDATABASE_Informix )
				{
					if( IsBinaryType( $fld["type"] ) )
						$blobs[ $fieldname ] = $value;
						
					if( $this->_connection->dbType == nDATABASE_Informix && IsTextType( $fld["type"] ) )
						$blobs[ $fieldname ] = $value;
				}
				break;
			}
		}
		//	prepare and exec SQL
		if( $insertFields != "" && $insertValues != "" )		
		{
			$insertFields = substr($insertFields, 0, -1);
			$insertValues = substr($insertValues, 0, -1);
			$dalSQL = "insert into ".$this->_connection->addTableWrappers( $this->m_TableName )." (".$insertFields.") values (".$insertValues.")";
			$this->Execute_Query($blobs, $dalSQL, $tableinfo);
		}
		//	cleanup		
	    $this->Reset();
	}

	/**
      * Query all records from the table.
      * @intellisense
      */
	function QueryAll()
	{
		$dalSQL = "select * from ".$this->_connection->addTableWrappers( $this->m_TableName );
		return $this->_connection->query( $dalSQL );
	}

	/**
      * Do a custom query on the table.
      * @intellisense
      */
	function Query($swhere = "", $orderby = "")
	{
		if ($swhere)
			$swhere = " where ".$swhere;
			
		if ($orderby)
			$orderby = " order by ".$orderby;
			
		$dalSQL = "select * from ".$this->_connection->addTableWrappers( $this->m_TableName ).$swhere.$orderby;
		return $this->_connection->query( $dalSQL );
	}

	/**
      * Delete a record from the table.
      * @intellisense
      */
	function Delete()
	{
		global $dal_info;
		
		$deleteFields = "";
		$tableinfo = &$dal_info[ $this->infoKey ];
		//	prepare parameters		
		foreach($tableinfo as $fieldname => $fld)
		{
			if( isset($this->{$fld['varname']}) )
			{
				$this->Param[ $fieldname ] = $this->{$fld['varname']};
			}
			
			foreach($this->Param as $field => $value)
			{
				if( strtoupper($field) != strtoupper($fieldname) )
					continue;
					
				$deleteFields.= $this->_connection->addFieldWrappers( $fieldname )."=". $this->PrepareValue($value, $fld["type"]) . " and ";
				break;
			}
		}
		//	do delete
		if ($deleteFields)
		{
			$deleteFields = substr($deleteFields, 0, -5);
			$dalSQL = "delete from ".$this->_connection->addTableWrappers( $this->m_TableName )." where ".$deleteFields;
			$this->_connection->exec( $dalSQL );
		}
	
		//	cleanup
	    $this->Reset();
	}

	/**
      * Reset table object.
      * @intellisense
      */
	function Reset()
	{
		global $dal_info;
		
		$this->Value = array();
		$this->Param = array();
		
		$tableinfo = &$dal_info[ $this->infoKey ];
		//	prepare parameters		
		foreach($tableinfo as $fieldname => $fld)
		{
			unset($this->{$fld["varname"]});
		}
	}	

	/**
      * Update record in the table.
      * @intellisense
      */
	function Update()
	{
		global $dal_info;
		
		$tableinfo = &$dal_info[ $this->infoKey ];
		$updateParam = "";
		$updateValue = "";
		$blobs = array();

		foreach($tableinfo as $fieldname => $fld)
		{
			$command = 'if(isset($this->'.$fld['varname'].')) { ';
			if( $fld["key"] )
				$command.= '$this->Param[\''.escapesq($fieldname).'\'] = $this->'.$fld['varname'].';';
			else
				$command.= '$this->Value[\''.escapesq($fieldname).'\'] = $this->'.$fld['varname'].';';
			$command.= ' }';
			
			eval($command);
			
			if( !$fld["key"] && !array_key_exists( strtoupper($fieldname), array_change_key_case($this->Param, CASE_UPPER) ) )
			{
				foreach($this->Value as $field => $value)
				{
					if( strtoupper($field) != strtoupper($fieldname) )
						continue;
						
					$updateValue.= $this->_connection->addFieldWrappers( $fieldname )."=".$this->PrepareValue($value, $fld["type"]) . ", ";
					
					if( $this->_connection->dbType == nDATABASE_Oracle || $this->_connection->dbType == nDATABASE_DB2 || $this->_connection->dbType == nDATABASE_Informix )
					{
						if( IsBinaryType( $fld["type"] ) )
							$blobs[ $fieldname ] = $value;
							
						if( $this->_connection->dbType == nDATABASE_Informix && IsTextType( $fld["type"] ) )	
							$blobs[ $fieldname ] = $value;		
					}
					break;
				}
			}
			else
			{
				foreach($this->Param as $field=>$value)
				{
					if( strtoupper($field) != strtoupper($fieldname) )
						continue;
						
					$updateParam.= $this->_connection->addFieldWrappers( $fieldname )."=".$this->PrepareValue($value, $fld["type"]) . " and ";
					break;
				}
			}
		}

		//	construct SQL and do update	
		if ($updateParam)
			$updateParam = substr($updateParam, 0, -5);
		if ($updateValue)
			$updateValue = substr($updateValue, 0, -2);
			
		if ($updateValue && $updateParam)
		{
			$dalSQL = "update ".$this->_connection->addTableWrappers( $this->m_TableName )." set ".$updateValue." where ".$updateParam;
			$this->Execute_Query($blobs, $dalSQL, $tableinfo);
		}

		//	cleanup
		$this->Reset();
	}
	
	/**
	 * Select one or more records matching the condition
	 */
	function FetchByID()
	{
		global $dal_info;
		$tableinfo = &$dal_info[ $this->infoKey ];

		$dal_where = "";
		foreach($tableinfo as $fieldname => $fld)
		{
			$command = 'if(isset($this->'.$fld['varname'].')) { ';
			$command.= '$this->Value[\''.escapesq($fieldname).'\'] = $this->'.$fld['varname'].';';
			$command.= ' }';
			
			eval($command);
			
			foreach($this->Param as $field => $value)
			{
				if( strtoupper($field) != strtoupper($fieldname) )
					continue;
					
				$dal_where.= $this->_connection->addFieldWrappers( $fieldname )."=".$this->PrepareValue($value, $fld["type"]) . " and ";
				break;
			}
		}
		// cleanup
		$this->Reset();
		// construct and run SQL
		if ($dal_where)
			$dal_where = " where ".substr($dal_where, 0, -5);
			
		$dalSQL = "select * from ".$this->_connection->addTableWrappers( $this->m_TableName ).$dal_where;
		return $this->_connection->query( $dalSQL );
	}
}

function cutprefix($table)
{
	$pos = strpos($table,".");
	if( $pos === false )
		return $table;
		
	return substr($table, $pos + 1);
}

function escapesq($str)
{
	return str_replace(array("\\","'"),array("\\\\","\\'"),$str);
}

?>