<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");


require_once("include/dbcommon.php");
require_once('classes/menupage.php');


Security::processLogoutRequest();
if( !isLogged() || Security::isGuest() ) 
{
	Security::tryRelogin();
}

if( !isLogged() )
{
	HeaderRedirect("login");
	return;
}


if (($_SESSION["MyURL"] == "") || (!Security::isGuest())) {
	Security::saveRedirectURL();
}


require_once('include/xtempl.php');
require_once(getabspath("classes/cipherer.php"));

include_once(getabspath("include/attendance_summary_events.php"));
$tableEvents["attendance_summary"] = new eventclass_attendance_summary;
include_once(getabspath("include/employees_events.php"));
$tableEvents["employees"] = new eventclass_employees;
include_once(getabspath("include/process_payroll_detail_events.php"));
$tableEvents["process_payroll_detail"] = new eventclass_process_payroll_detail;
include_once(getabspath("include/company_info_events.php"));
$tableEvents["company_info"] = new eventclass_company_info;
include_once(getabspath("include/payroll_item_events.php"));
$tableEvents["payroll_item"] = new eventclass_payroll_item;
include_once(getabspath("include/payroll_entry_events.php"));
$tableEvents["payroll_entry"] = new eventclass_payroll_entry;
include_once(getabspath("include/payroll_entry_detail_events.php"));
$tableEvents["payroll_entry_detail"] = new eventclass_payroll_entry_detail;
include_once(getabspath("include/cost_center_events.php"));
$tableEvents["cost_center"] = new eventclass_cost_center;
include_once(getabspath("include/process_payroll_for_checking_events.php"));
$tableEvents["process_payroll_for_checking"] = new eventclass_process_payroll_for_checking;
include_once(getabspath("include/process_payroll_for_approval_events.php"));
$tableEvents["process_payroll_for_approval"] = new eventclass_process_payroll_for_approval;
include_once(getabspath("include/payroll_entry_for_checking_events.php"));
$tableEvents["payroll_entry_for_checking"] = new eventclass_payroll_entry_for_checking;
include_once(getabspath("include/payroll_entry_for_approval_events.php"));
$tableEvents["payroll_entry_for_approval"] = new eventclass_payroll_entry_for_approval;
include_once(getabspath("include/payroll_entry_detail_for_checking_events.php"));
$tableEvents["payroll_entry_detail_for_checking"] = new eventclass_payroll_entry_detail_for_checking;
include_once(getabspath("include/payroll_entry_detail_for_approval_events.php"));
$tableEvents["payroll_entry_detail_for_approval"] = new eventclass_payroll_entry_detail_for_approval;
include_once(getabspath("include/bio_upload_events.php"));
$tableEvents["bio_upload"] = new eventclass_bio_upload;
include_once(getabspath("include/attendance_events.php"));
$tableEvents["attendance"] = new eventclass_attendance;
include_once(getabspath("include/position_events.php"));
$tableEvents["position"] = new eventclass_position;
include_once(getabspath("include/employees_payroll_setup_events.php"));
$tableEvents["employees_payroll_setup"] = new eventclass_employees_payroll_setup;
include_once(getabspath("include/over_time_events.php"));
$tableEvents["over_time"] = new eventclass_over_time;
include_once(getabspath("include/leave_events.php"));
$tableEvents["leave"] = new eventclass_leave;
include_once(getabspath("include/undertime_events.php"));
$tableEvents["undertime"] = new eventclass_undertime;
include_once(getabspath("include/change_time_events.php"));
$tableEvents["change_time"] = new eventclass_change_time;
include_once(getabspath("include/fieldwork_events.php"));
$tableEvents["fieldwork"] = new eventclass_fieldwork;
include_once(getabspath("include/Fieldwork_for_approval_events.php"));
$tableEvents["Fieldwork_for_approval"] = new eventclass_Fieldwork_for_approval;
include_once(getabspath("include/request_for_payment_events.php"));
$tableEvents["request_for_payment"] = new eventclass_request_for_payment;
include_once(getabspath("include/request_for_payment_detail_events.php"));
$tableEvents["request_for_payment_detail"] = new eventclass_request_for_payment_detail;
include_once(getabspath("include/Overtime_for_checking_events.php"));
$tableEvents["Overtime_for_checking"] = new eventclass_Overtime_for_checking;
include_once(getabspath("include/Overtime_for_approval_events.php"));
$tableEvents["Overtime_for_approval"] = new eventclass_Overtime_for_approval;
include_once(getabspath("include/Undertime_for_approval_events.php"));
$tableEvents["Undertime_for_approval"] = new eventclass_Undertime_for_approval;
include_once(getabspath("include/Undertime_for_checking_events.php"));
$tableEvents["Undertime_for_checking"] = new eventclass_Undertime_for_checking;
include_once(getabspath("include/Change_Time_Schedule_for_approval_events.php"));
$tableEvents["Change_Time_Schedule_for_approval"] = new eventclass_Change_Time_Schedule_for_approval;
include_once(getabspath("include/Change_Time_Schedule_for_checking_events.php"));
$tableEvents["Change_Time_Schedule_for_checking"] = new eventclass_Change_Time_Schedule_for_checking;
include_once(getabspath("include/Leave_for_checking_events.php"));
$tableEvents["Leave_for_checking"] = new eventclass_Leave_for_checking;
include_once(getabspath("include/Leave_for_approval_events.php"));
$tableEvents["Leave_for_approval"] = new eventclass_Leave_for_approval;
include_once(getabspath("include/purchase_request_events.php"));
$tableEvents["purchase_request"] = new eventclass_purchase_request;
include_once(getabspath("include/Purchase_Request_for_approval_events.php"));
$tableEvents["Purchase_Request_for_approval"] = new eventclass_Purchase_Request_for_approval;
include_once(getabspath("include/Purchase_Request_for_checking_events.php"));
$tableEvents["Purchase_Request_for_checking"] = new eventclass_Purchase_Request_for_checking;
include_once(getabspath("include/request_for_payment_for_approval_events.php"));
$tableEvents["request_for_payment_for_approval"] = new eventclass_request_for_payment_for_approval;
include_once(getabspath("include/request_for_payment_for_checking_events.php"));
$tableEvents["request_for_payment_for_checking"] = new eventclass_request_for_payment_for_checking;
include_once(getabspath("include/request_for_payment_detail_for_approval_events.php"));
$tableEvents["request_for_payment_detail_for_approval"] = new eventclass_request_for_payment_detail_for_approval;
include_once(getabspath("include/request_for_payment_detail_for_checking_events.php"));
$tableEvents["request_for_payment_detail_for_checking"] = new eventclass_request_for_payment_detail_for_checking;
include_once(getabspath("include/accounting_period_events.php"));
$tableEvents["accounting_period"] = new eventclass_accounting_period;
include_once(getabspath("include/fiscal_year_events.php"));
$tableEvents["fiscal_year"] = new eventclass_fiscal_year;
include_once(getabspath("include/reimbursement_events.php"));
$tableEvents["reimbursement"] = new eventclass_reimbursement;
include_once(getabspath("include/reimbursement_detail_events.php"));
$tableEvents["reimbursement_detail"] = new eventclass_reimbursement_detail;
include_once(getabspath("include/change_password_events.php"));
$tableEvents["change_password"] = new eventclass_change_password;
include_once(getabspath("include/Loan_types_events.php"));
$tableEvents["Loan_types"] = new eventclass_Loan_types;
include_once(getabspath("include/Other_Benefits_events.php"));
$tableEvents["Other_Benefits"] = new eventclass_Other_Benefits;
include_once(getabspath("include/Other_Deductions_events.php"));
$tableEvents["Other_Deductions"] = new eventclass_Other_Deductions;
include_once(getabspath("include/Leave_types_events.php"));
$tableEvents["Leave_types"] = new eventclass_Leave_types;
include_once(getabspath("include/employee_recurring_benefit_detail_events.php"));
$tableEvents["employee_recurring_benefit_detail"] = new eventclass_employee_recurring_benefit_detail;
include_once(getabspath("include/employee_recurring_deduction_detail_events.php"));
$tableEvents["employee_recurring_deduction_detail"] = new eventclass_employee_recurring_deduction_detail;
include_once(getabspath("include/overtime_detail_events.php"));
$tableEvents["overtime_detail"] = new eventclass_overtime_detail;
include_once(getabspath("include/leave_detail_events.php"));
$tableEvents["leave_detail"] = new eventclass_leave_detail;
include_once(getabspath("include/change_time_detail_events.php"));
$tableEvents["change_time_detail"] = new eventclass_change_time_detail;
include_once(getabspath("include/fieldwork_detail_events.php"));
$tableEvents["fieldwork_detail"] = new eventclass_fieldwork_detail;
include_once(getabspath("include/changetime_file_events.php"));
$tableEvents["changetime_file"] = new eventclass_changetime_file;
include_once(getabspath("include/changetime_file_for_approval_events.php"));
$tableEvents["changetime_file_for_approval"] = new eventclass_changetime_file_for_approval;
include_once(getabspath("include/changetime_file_for_checking_events.php"));
$tableEvents["changetime_file_for_checking"] = new eventclass_changetime_file_for_checking;
include_once(getabspath("include/fieldwork_file_events.php"));
$tableEvents["fieldwork_file"] = new eventclass_fieldwork_file;
include_once(getabspath("include/attendance_logs_events.php"));
$tableEvents["attendance_logs"] = new eventclass_attendance_logs;
include_once(getabspath("include/Fieldwork_for_checking_events.php"));
$tableEvents["Fieldwork_for_checking"] = new eventclass_Fieldwork_for_checking;
include_once(getabspath("include/loan_events.php"));
$tableEvents["loan"] = new eventclass_loan;
include_once(getabspath("include/loan__detail_events.php"));
$tableEvents["loan__detail"] = new eventclass_loan__detail;
include_once(getabspath("include/leave_credits_events.php"));
$tableEvents["leave_credits"] = new eventclass_leave_credits;
include_once(getabspath("include/post_attendance_events.php"));
$tableEvents["post_attendance"] = new eventclass_post_attendance;
include_once(getabspath("include/timelog_for_checking_events.php"));
$tableEvents["timelog_for_checking"] = new eventclass_timelog_for_checking;
include_once(getabspath("include/timelog_for_approval_events.php"));
$tableEvents["timelog_for_approval"] = new eventclass_timelog_for_approval;
include_once(getabspath("include/employee_application_events.php"));
$tableEvents["employee_application"] = new eventclass_employee_application;
include_once(getabspath("include/loan_for_approval_events.php"));
$tableEvents["Loan_for_approval"] = new eventclass_loan_for_approval;
include_once(getabspath("include/loan_for_checking_events.php"));
$tableEvents["Loan_for_checking"] = new eventclass_loan_for_checking;
include_once(getabspath("include/loanx_events.php"));
$tableEvents["Loanx"] = new eventclass_loanx;
include_once(getabspath("include/loanx2_events.php"));
$tableEvents["Loanx2"] = new eventclass_loanx2;
include_once(getabspath("include/process_events.php"));
$tableEvents["process"] = new eventclass_process;
include_once(getabspath("include/process_payroll_events.php"));
$tableEvents["process_payroll"] = new eventclass_process_payroll;
include_once(getabspath("include/reimbursement_for_checking_events.php"));
$tableEvents["Reimbursement_for_checking"] = new eventclass_reimbursement_for_checking;
include_once(getabspath("include/reimbursement_for_approval_events.php"));
$tableEvents["Reimbursement_for_approval"] = new eventclass_reimbursement_for_approval;
include_once(getabspath("include/holiday_overtime_events.php"));
$tableEvents["holiday_overtime"] = new eventclass_holiday_overtime;
include_once(getabspath("include/holiday_overtime_for_approval_events.php"));
$tableEvents["holiday_overtime_for_approval"] = new eventclass_holiday_overtime_for_approval;
include_once(getabspath("include/holiday_overtime_for_checking_events.php"));
$tableEvents["holiday_overtime_for_checking"] = new eventclass_holiday_overtime_for_checking;
include_once(getabspath("include/missing_logs_events.php"));
$tableEvents["missing_logs"] = new eventclass_missing_logs;
include_once(getabspath("include/missing_logs_for_checking_events.php"));
$tableEvents["Missing_Logs_for_checking"] = new eventclass_missing_logs_for_checking;
include_once(getabspath("include/missing_logs_for_approval_events.php"));
$tableEvents["Missing_Logs_for_approval"] = new eventclass_missing_logs_for_approval;
include_once(getabspath("include/flexben_events.php"));
$tableEvents["flexben"] = new eventclass_flexben;
include_once(getabspath("include/flexben_for_checking_events.php"));
$tableEvents["Flexben_for_checking"] = new eventclass_flexben_for_checking;
include_once(getabspath("include/flexben_for_approval_events.php"));
$tableEvents["Flexben_for_approval"] = new eventclass_flexben_for_approval;
include_once(getabspath("include/payroll_ticketing_events.php"));
$tableEvents["payroll_ticketing"] = new eventclass_payroll_ticketing;
include_once(getabspath("include/payroll_ticketing_open__events.php"));
$tableEvents["payroll_ticketing(Open)"] = new eventclass_payroll_ticketing_open_;
include_once(getabspath("include/overtime_approver1_events.php"));
$tableEvents["Overtime_approver1"] = new eventclass_overtime_approver1;
include_once(getabspath("include/overtime_approver2_events.php"));
$tableEvents["Overtime_approver2"] = new eventclass_overtime_approver2;
include_once(getabspath("include/overtime_approver3_events.php"));
$tableEvents["Overtime_approver3"] = new eventclass_overtime_approver3;
include_once(getabspath("include/overtime_approver4_events.php"));
$tableEvents["Overtime_approver4"] = new eventclass_overtime_approver4;
include_once(getabspath("include/leave_approver1_events.php"));
$tableEvents["Leave_approver1"] = new eventclass_leave_approver1;
include_once(getabspath("include/leave_approver2_events.php"));
$tableEvents["Leave_approver2"] = new eventclass_leave_approver2;
include_once(getabspath("include/leave_approver3_events.php"));
$tableEvents["Leave_approver3"] = new eventclass_leave_approver3;
include_once(getabspath("include/leave_approver4_events.php"));
$tableEvents["Leave_approver4"] = new eventclass_leave_approver4;
include_once(getabspath("include/change_time_schedule_approver1_events.php"));
$tableEvents["Change_Time_Schedule_approver1"] = new eventclass_change_time_schedule_approver1;
include_once(getabspath("include/change_time_schedule_approver2_events.php"));
$tableEvents["Change_Time_Schedule_approver2"] = new eventclass_change_time_schedule_approver2;
include_once(getabspath("include/change_time_schedule_approver3_events.php"));
$tableEvents["Change_Time_Schedule_approver3"] = new eventclass_change_time_schedule_approver3;
include_once(getabspath("include/change_time_schedule_approver4_events.php"));
$tableEvents["Change_Time_Schedule_approver4"] = new eventclass_change_time_schedule_approver4;
include_once(getabspath("include/official_business_approver1_events.php"));
$tableEvents["Official_Business_approver1"] = new eventclass_official_business_approver1;
include_once(getabspath("include/official_business_approver2_events.php"));
$tableEvents["Official_Business_approver2"] = new eventclass_official_business_approver2;
include_once(getabspath("include/official_business_approver3_events.php"));
$tableEvents["Official_Business_approver3"] = new eventclass_official_business_approver3;
include_once(getabspath("include/official_business_approver4_events.php"));
$tableEvents["Official_Business_approver4"] = new eventclass_official_business_approver4;
include_once(getabspath("include/missing_logs_approver1_events.php"));
$tableEvents["Missing_Logs_approver1"] = new eventclass_missing_logs_approver1;
include_once(getabspath("include/missing_logs_approver2_events.php"));
$tableEvents["Missing_Logs_approver2"] = new eventclass_missing_logs_approver2;
include_once(getabspath("include/missing_logs_approver3_events.php"));
$tableEvents["Missing_Logs_approver3"] = new eventclass_missing_logs_approver3;
include_once(getabspath("include/missing_logs_approver4_events.php"));
$tableEvents["Missing_Logs_approver4"] = new eventclass_missing_logs_approver4;
include_once(getabspath("include/holiday_overtime_approver1_events.php"));
$tableEvents["Holiday_Overtime_approver1"] = new eventclass_holiday_overtime_approver1;
include_once(getabspath("include/holiday_overtime_approver2_events.php"));
$tableEvents["Holiday_Overtime_approver2"] = new eventclass_holiday_overtime_approver2;
include_once(getabspath("include/holiday_overtime_approver3_events.php"));
$tableEvents["Holiday_Overtime_approver3"] = new eventclass_holiday_overtime_approver3;
include_once(getabspath("include/holiday_overtime_approver4_events.php"));
$tableEvents["Holiday_Overtime_approver4"] = new eventclass_holiday_overtime_approver4;
include_once(getabspath("include/year_end_pto_conversion_events.php"));
$tableEvents["year_end_pto_conversion"] = new eventclass_year_end_pto_conversion;
include_once(getabspath("include/cto_events.php"));
$tableEvents["cto"] = new eventclass_cto;
include_once(getabspath("include/cto_approver1_events.php"));
$tableEvents["cto_approver1"] = new eventclass_cto_approver1;
include_once(getabspath("include/cto_approver2_events.php"));
$tableEvents["cto_approver2"] = new eventclass_cto_approver2;
include_once(getabspath("include/cto_approver3_events.php"));
$tableEvents["cto_approver3"] = new eventclass_cto_approver3;
include_once(getabspath("include/cto_approver4_events.php"));
$tableEvents["cto_approver4"] = new eventclass_cto_approver4;
include_once(getabspath("include/change_time_schedule_approval_events.php"));
$tableEvents["Change_Time_Schedule_approval"] = new eventclass_change_time_schedule_approval;
include_once(getabspath("include/overtime_approval_events.php"));
$tableEvents["Overtime_approval"] = new eventclass_overtime_approval;
include_once(getabspath("include/leave_approval_events.php"));
$tableEvents["Leave_approval"] = new eventclass_leave_approval;
include_once(getabspath("include/official_business_approval_events.php"));
$tableEvents["Official_Business_approval"] = new eventclass_official_business_approval;
include_once(getabspath("include/missing_logs_approval_events.php"));
$tableEvents["Missing_Logs_approval"] = new eventclass_missing_logs_approval;
include_once(getabspath("include/holiday_overtime_approval_events.php"));
$tableEvents["Holiday_Overtime_approval"] = new eventclass_holiday_overtime_approval;
include_once(getabspath("include/cto_approval_events.php"));
$tableEvents["cto_approval"] = new eventclass_cto_approval;
include_once(getabspath("include/flexben_approval_events.php"));
$tableEvents["Flexben_approval"] = new eventclass_flexben_approval;
include_once(getabspath("include/cancelled_process_payroll_events.php"));
$tableEvents["cancelled_process_payroll"] = new eventclass_cancelled_process_payroll;
include_once(getabspath("include/flexben_hr_approval_events.php"));
$tableEvents["Flexben_HR_approval"] = new eventclass_flexben_hr_approval;

$xt = new Xtempl();

//array of params for classes
$params = array();
$params["id"] = postvalue_number("id"); 
$params["xt"] = &$xt;
$params["tName"] = GLOBAL_PAGES;
$params["pageType"] = PAGE_MENU;
$params["isGroupSecurity"] = $isGroupSecurity;
$params["needSearchClauseObj"] = false;
$params["pageName"] = postvalue("page"); 

$pageObject = new MenuPage($params);
$pageObject->init();

$pageObject->process();
?>